/***************************************************************************
 *   Copyright (C) 2006 by Artur Gonçalves   *
 *   magsilva@fitec.org.br   *
 *                                                                         *
  ***************************************************************************/

#ifndef biblinux_H
#define biblinux_H

// Funções privadas
void detectarECF_signal_handler(int status);

// Interface da biblioteca
int SWCOM_ConfigurarInterface(void (*func)(int tamanho));
int SWCOM_AbrirUART(int id, int nbps);
int SWCOM_DetectarECF(void);
int SWCOM_EnviarComando(char* comando);
int SWCOM_EnviarDados(char* comando, int tamanho);
int SWCOM_EnviarByte(char dado, int fd);
int SWCOM_ObterRetorno(char* retorno, int extensao, int tempoEspera);
void SWCOM_DestruirInterface(void);

#endif
