
/***************************************************************************
* Copyright (C) 2006 - Sweda
* Projeto Biblioteca Linux para Impressora Fiscal
*
* $Author: lboneto $
* $Date: 2006/03/02 12:29:45 $
* $Source: \Biblinux/Biblinux/Desenvolvimento/Fonte/biblinux/teste-enviar.c,v $
* $Revision: 1.4 $
****************************************************************************/


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include "biblinux.h"
#include <string.h>

volatile int flag=0;

void callback(int tamanho)
{
   flag=tamanho;
} 


int main(int argc, char *argv[])
{
   unsigned char mensagem[1024];
   int count=0;
   int ret,loop,tamanho;
   unsigned char com, speed,  buffer[1024],fromfile=0;
   FILE *Input;
   if (argc!=2)
   {
      printf("Parametros Incorretos\n");
      printf("Sintaxe: %s  \"String a ser transmitida\" \n",argv[0]);
      return -1;
   }
   ret=SWCOM_ConfigurarInterface(&callback);
   printf ("Retorno do Criar Instância: %d\n", ret);
   if (ret<1)
   {
      printf("Falha na criação da instância\n");
      return -1;
   }
   printf("Dados serão enviados (apos encapsulados): ");
   for (loop=0;loop<strlen(argv[1]);loop++)
   {
      printf("%d ",argv[1][loop]);
   }
   printf("\nEnviados %d bytes\n",loop);
   printf("Retorno do Enviar Dados: %d\n",SWCOM_EnviarDados(argv[1],strlen(argv)));
   printf("Aguardando recepcao de dados\n");
   for (;;)
   {
      sleep(1);
      if (flag>0)
      {
         tamanho=flag;
         printf("Callback  recebeu size= %d\n",tamanho);
         tamanho=SWCOM_ObterRetorno(buffer,100,10);
         printf("Recebido retorno com %d bytes\n", tamanho);
         printf("Dados=");
         for(loop=0;loop<tamanho;loop++)
            printf("%d ",buffer[loop]);
         printf("\n\n"); 
         flag=0;
      }
   }

   return EXIT_SUCCESS;
}
